"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getFuncDeployCommand = void 0;
const tl = require("azure-pipelines-task-lib/task");
function getFuncDeployCommand(funcToolsPath, secretName, appName, namespace, imageName, registry, pullSecretName, args) {
    const command = tl.tool(funcToolsPath);
    command.arg(['kubernetes', 'deploy']);
    command.arg(['--name', appName]);
    if (namespace) {
        command.arg(['--namespace', namespace]);
    }
    if (imageName) {
        command.arg(['--image-name', imageName]);
    }
    else if (registry) {
        command.arg(['--registry', registry]);
    }
    if (pullSecretName) {
        command.arg(['--pull-secret', pullSecretName]);
    }
    if (secretName) {
        command.arg(['--secret-name', secretName]);
    }
    command.line(args);
    return command;
}
exports.getFuncDeployCommand = getFuncDeployCommand;
